## org.openni
Interface VideoStream.NewFrameListener

Enclosing class:
  VideoStream

    public static interface VideoStream.NewFrameListener

The VideoStream::NewFrameListener interface is provided to allow the implementation of event driven frame reading. To use it, create a class that inherits from it and implement override the onNewFrame() method. Then, register your created class with an active `VideoStream` using the `VideoStream.addNewFrameListener(org.openni.VideoStream.NewFrameListener)` function. Once this is done, the event handler function you implemented will be called whenever a new frame becomes available. You may call `VideoStream.readFrame()` from within the event handler.

Method Summary
`void` `onFrameReady(VideoStream stream)` Derived classes should implement this function to handle new frames.

Method Detail

### onFrameReady

    void onFrameReady(VideoStream stream)

  Derived classes should implement this function to handle new frames.